MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027435Open CASCADE[OCCT] OCCT:Codingpublic2016-04-26 15:472016-12-09 16:37
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027435: Compilation error on Linux platfrom in Debug mode with enabled OCCT_DEBUG definition
DescriptionCompilation error appears during compilation on Linux platfrom in Debug mode with enabled OCCT_DEBUG definition:

../src/MAT2d/MAT2d_Tool2d.cxx: In member function 'void MAT2d_Tool2d::Dump(Standard_Integer, Standard_Integer) const':
../src/MAT2d/MAT2d_Tool2d.cxx:1081:62: error: passing 'const opencascade::handle<Geom2d_TrimmedCurve>' as 'this' argument of 'opencascade::handle<T>::operator opencascade::handle<T2>&() [with T2 = Geom2d_Curve; <template-parameter-2-2> = void; T = Geom2d_TrimmedCurve]' discards qualifiers [-fpermissive]
Steps To ReproduceTry to build occt on Linux platform in Debug mode with enabled OCCT_DEBUG definition (switch BUILD_WITH_DEBUG CMake variable to ON)
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0053601)
git (administrator)
2016-04-26 16:02

Branch CR27435 has been created by ski.

SHA-1: e3e1b2bee93c40178fea5cb07b214a3c77a501af


Detailed log of new commits:

Author: ski
Date: Tue Apr 26 16:02:32 2016 +0300

    0027435: Compilation error on Linux platfrom in Debug mode with enabled OCCT_DEBUG definition
    
    Error was fixed.
(0053602)
ski (developer)
2016-04-26 16:03

Dear kgv,

please review.
(0054200)
git (administrator)
2016-05-20 12:22

Branch CR27435 has been deleted by inv.

SHA-1: e3e1b2bee93c40178fea5cb07b214a3c77a501af

- Related Changesets
occt: master 4b5857d3
Timestamp: 2016-04-26 13:02:32
Author: ski
Committer: bugmaster
Details ] Diff ]
0027435: Compilation error on Linux platfrom in Debug mode with enabled OCCT_DEBUG definition

Error was fixed.
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-26 15:47 ski New Issue
2016-04-26 15:47 ski Assigned To => ski
2016-04-26 15:47 ski Status new => assigned
2016-04-26 16:02 git Note Added: 0053601
2016-04-26 16:03 ski Note Added: 0053602
2016-04-26 16:03 ski Assigned To ski => kgv
2016-04-26 16:03 ski Status assigned => resolved
2016-04-26 19:47 kgv Assigned To kgv => abv
2016-04-29 16:10 bugmaster Changeset attached => occt master 4b5857d3
2016-04-29 16:10 bugmaster Assigned To abv => bugmaster
2016-04-29 16:10 bugmaster Status resolved => verified
2016-04-29 16:10 bugmaster Resolution open => fixed
2016-05-20 12:22 git Note Added: 0054200
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker